Download it now!
Bug 115972 - Digital signatures for OpenDocument not found
Summary: Digital signatures for OpenDocument not found
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.5.1 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevAdvice
Depends on:
Blocks: Digital-Signatures
  Show dependency treegraph
 
Reported: 2018-02-23 15:54 UTC by Ferry Toth
Modified: 2018-06-12 11:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ferry Toth 2018-02-23 15:54:31 UTC
To be clear this is not related to signing PDF but related to signing odt and ods.

I just checked on another machine: the last version I had working was 5.4.2 from Ubuntu Artful and upgrading to 5.4.5.1 breaks signing. The certificates (stored in both Firefox and Thunderbird) are not found.

Opening an already signed document says the certificate is OK but can not be validated.

Thanks.
Comment 1 Ferry Toth 2018-02-27 13:14:23 UTC
It appears the certificates can be found again using 6.0.1.1.

However there is another problem. 

We have our old certificates that use SHA1 hash algorithm, however these don't work under Windows 10 (deprecated hash algorithm). So we regenerated the user certificates (but did not touch self signed CA) to use SHA256 hash. 

These certificates are working fine with Windows 10. Also in Firefox on Ubuntu they show as validated for all use certificates, with a valid CA.

Libreoffice 6 can sign using these SHA256 certificates, but then complains the certificate can not be validated (it can't find the CA cert - the path is empty).

However, signing with the old SHA1 based certificate works. Again the CA cert is the same one in both cases.
Comment 2 Ferry Toth 2018-03-08 18:37:30 UTC
I looks like this might have been an Ubuntu bug.

It seems to be fixed in 1:5.4.5-0ubuntu0.17.10.4
Comment 3 Xisco Faulí 2018-06-12 11:27:43 UTC
(In reply to Ferry Toth from comment #2)
> I looks like this might have been an Ubuntu bug.
> 
> It seems to be fixed in 1:5.4.5-0ubuntu0.17.10.4

Thanks for retesting with the latest version.
Setting to RESOLVED WORKSFORME as the commit fixing this issue hasn't been identified.